Package org.drinkless.tdlib

# Class TdApi.InlineQueryResults

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InlineQueryResults

Enclosing class:
  `TdApi`

public static class TdApi.InlineQueryResults extends TdApi.Object
Represents the results of the inline query. Use sendInlineQueryResultMessage to send the result of the query.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.InlineQueryResultsButton`
  `button`
  Button to be shown above inline query results; may be null.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `inlineQueryId`
  Unique identifier of the inline query.
  `String`
  `nextOffset`
  The offset for the next request.
  `TdApi.InlineQueryResult[]`
  `results`
  Results of the query.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InlineQueryResults()`
  Represents the results of the inline query.
  `InlineQueryResults(long inlineQueryId, TdApi.InlineQueryResultsButton button, TdApi.InlineQueryResult[] results, String nextOffset)`
  Represents the results of the inline query.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### inlineQueryId

    public long inlineQueryId
    Unique identifier of the inline query.

  - ### button

    @Nullable public TdApi.InlineQueryResultsButton button
    Button to be shown above inline query results; may be null.

  - ### results

    public TdApi.InlineQueryResult[] results
    Results of the query.

  - ### nextOffset

    public String nextOffset
    The offset for the next request. If empty, then there are no more results.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InlineQueryResults

    public InlineQueryResults()
    Represents the results of the inline query. Use sendInlineQueryResultMessage to send the result of the query.

  - ### InlineQueryResults

    public InlineQueryResults(long inlineQueryId, TdApi.InlineQueryResultsButton button, TdApi.InlineQueryResult[] results, String nextOffset)
    Represents the results of the inline query. Use sendInlineQueryResultMessage to send the result of the query.
    Parameters:
      `inlineQueryId` - Unique identifier of the inline query.
      `button` - Button to be shown above inline query results; may be null.
      `results` - Results of the query.
      `nextOffset` - The offset for the next request. If empty, then there are no more results.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR